%global xfceversion %(version=4.16.1; echo ${version%\.*})

Name:           xfwm4
Version:        4.16.1
Release:        4%{?dist}
Epoch:          1000
Summary:        Next generation window manager for Xfce

License:        GPLv2+
URL:            http://www.xfce.org/
#VCS git:git://git.xfce.org/xfce/xfwm4
Source0:        http://archive.xfce.org/src/xfce/%{name}/%{xfceversion}/%{name}-%{version}.tar.bz2

Patch0: 0001-Qubes-decoration.patch
Patch1: 0002-Qubes-decoration-custom-colors.patch
Patch2: 0003-Qubes-decoration-black-hack.patch
Patch3: 0004-Don-t-reset-client-struct.patch
Patch4: 0005-Qubes-decoration-handle-guivm-windows-prefix.patch
Patch5: 0006-Qubes-decoration-title-colors.patch
Patch6: 0007-Colors-overhaul.patch
Patch7: 0008-Fail-safe-when-displaying-colors.patch

BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  libxfce4ui-devel >= %{xfceversion}
BuildRequires:  libXext-devel
%if 0%{?fedora}
BuildRequires:  libXpresent-devel
%endif
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  libXcomposite-devel
BuildRequires:  libXdamage-devel
BuildRequires:  startup-notification-devel >= 0.5
BuildRequires:  libwnck3-devel >= 3.14
BuildRequires:  xfconf-devel >= %{xfceversion}
BuildRequires:  desktop-file-utils
Requires:	qubes-desktop-linux-common
Provides:       firstboot(windowmanager) = xfwm4

%description
xfwm4 is a window manager compatible with GNOME, GNOME2, KDE2, KDE3 and Xfce.

%prep
%autosetup -p1


%build
%configure  --disable-static

%make_build

%install
%make_install

%find_lang %{name}

for file in %{buildroot}/%{_datadir}/applications/*.desktop; do
    desktop-file-validate $file
done

%files -f %{name}.lang
%license COPYING
%doc example.gtkrc-2.0 TODO AUTHORS COMPOSITOR
%{_bindir}/xfwm4
%{_bindir}/xfwm4-settings
%{_bindir}/xfwm4-tweaks-settings
%{_bindir}/xfwm4-workspace-settings
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/xfwm4
%{_datadir}/themes/*
%dir %{_libdir}/xfce4/xfwm4/
%{_libdir}/xfce4/xfwm4/helper-dialog


%changelog
* Mon Feb 05 2024 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-desktop-linux-xfce4-xfwm4

* Mon Feb 05 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7f52693
- version 4.16.1-4

* Mon Feb 05 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4b8188a
- Fix typo in the header file

* Tue May 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 40bbfa3
- Fix clearing build packages for selected distros

* Fri Jan 20 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e79587e
- version 4.16.1-3

* Fri Jan 20 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 982dc88
- ci: drop R4.1

* Fri Jan 20 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3fca869
- Use VERSION placeholder in .qubesbuilder

* Fri Jan 20 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e2ce071
- Adjust limit for target distributions

* Fri Jan 20 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 08a11f2
- Drop patch not applicable to 4.16

* Sun Sep 18 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - dbb1a81
- version 4.14.2-3

* Tue Sep 06 2022 Rusty Bird <rustybird@net-c.com> - cb78a8b
- Replace previous patch with 0009-XXX-Reduce-error-trap-leak.patch

* Tue Sep 06 2022 Rusty Bird <rustybird@net-c.com> - 6cd83e7
- Really apply all patches

* Tue Sep 06 2022 Rusty Bird <rustybird@net-c.com> - 82f9ace
- Fix 0009-Fix-errorTrap-leak-in-free_win_data.patch

* Mon May 30 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c80a11d
- version 4.14.2-2

* Mon May 09 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - f8b67e3
- .qubesbuilder: replace 'spec' by 'build'

* Mon May 09 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 8ce8e77
- Fix error trap leak in compositor

* Mon Apr 18 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - cb4dfd2
- Add Qubes Builder v2 integration

* Fri Apr 15 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - d32cf13
- Drop Travis CI

* Thu Aug 19 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e901775
- version 4.16.1-2

* Tue Aug 17 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c5c29b2
- Enable the build for bullseye too

* Sun Aug 01 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ddae8f4
- version 4.16.1-1

* Thu Jul 29 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 005e06e
- Build only for fc34+

* Thu Jul 29 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 251c073
- Update to 4.16

* Wed Jun 16 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - b6aaaa7
- Fail-safe when displaying colors

* Wed Jun 16 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - d149778
- Clean up patch headings

* Fri May 14 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - 1a1f2fb
- Clean up Makefile

* Fri May 14 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - c3fcf9a
- Switch from wget to curl

* Sat May 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c0a705d
- spec: add BR make

* Wed Feb 03 2021 Paweł Marczewski <pawel@invisiblethingslab.com> - 97b824c
- Colors overhaul

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 00479dd
- Add .gitlab-ci.yml

* Sun Jun 28 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7f2ed18
- Exclude build for distributions too old for Xfwm 4.14

* Tue Jun 16 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - af26fd9
- Makefile: add clean of pkgs and debian changelog.*

* Sun Jun 14 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 52c7d53
- Update travis

* Sun Jun 14 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 56ff451
- debian: lower version for BR xfconf

* Sun Jun 14 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 9050155
- debian: initial packaging from upstream

* Sun May 17 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - b8c6638
- Update to 4.14.2

* Mon Mar 16 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 560204c
- version 4.13.1-11

* Fri Mar 13 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - 9533973
- Add dark and light title colors

* Sat Jan 11 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a3915dc
- travis: switch to dom0 Fedora 31

* Sat Nov 16 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5b3f41d
- version 4.13.1-10

* Sat Nov 16 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 24b7149
- qubes-decoration: fix missing else case

* Tue Nov 12 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 459e3e3
- Exclude build on centos7

* Tue Nov 12 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - be3d84b
- version 4.13.1-9

* Mon Nov 11 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 6414212
- qubes-decoration: handle guivm windows prefix

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 9e9027d
- travis: switch to bionic

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - ef438ac
- travis: add Fedora VM builds for R4.1

* Fri Oct 18 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - ce4e340
- Allow build for VM

* Fri Sep 13 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 74392a8
- Fix client structure initialization

* Sun Jun 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ecd3c06
- Update to xfwm4-4.13.1

* Tue Apr 30 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 46c209e
- travis: switch to xenial

* Sun Apr 28 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 70d011f
- Initial commit from qubes-desktop-linux-xfce4

